> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/traffic/bandwidth-cluster/inquirybandwidthclusterprice.md).

# InquiryBandwidthClusterPrice

## 1. API Description

This API (InquiryBandwidthClusterPrice) is used to query the price of the bandwidth cluster.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name                   | Required | Type                                                                             | Description                                                                                                                                                                                                                                  |
| -------------------------------- | -------- | -------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| areaCode                         | Yes      | String                                                                           | <p>Location of bandwidth cluster.</p><p>To obtain code, you can call DescribeBandwidthClusterAreas, and find areaCode in the response.</p>                                                                                                   |
| internetChargeType               | Yes      | [InternetChargeType](/api-reference/traffic/datastructure.md#internetchargetype) | <p>Network billing method.</p><p>The default billing method is Monthly Burstable 95th, if you need Daily Peak billing, please contact us.</p><p>Default value: MonthlyPercent95Bandwidth.</p><p>Default value: MonthlyPercent95Bandwidth</p> |
| commitBandwidthMbps              | No       | Integer                                                                          | <p>Bandwidth cluster.</p><p>Unit: Mbps.</p><p>Available range: \[0, 100000].</p><p>Default value: 0.</p><p>Value range: \[0, +)</p><p>Default value: 0</p>                                                                                   |
| internationalCommitBandwidthMbps | No       | Integer                                                                          | <p>Bandwidth commitment for the international line.</p><p>Unit: Mbps.</p><p>Only applicable to PathBasedBandwidth bandwidth clusters.</p><p>Value range: \[0, +)</p>                                                                         |
| networkType                      | No       | [NetworkType](/api-reference/traffic/datastructure.md#networktype)               | IP network type.                                                                                                                                                                                                                             |
| product                          | No       | [ProductRange](/api-reference/traffic/datastructure.md#productrange)             | Service type covered by the bandwidth cluster.                                                                                                                                                                                               |

## 3. Output Parameters

| Parameter Name     | Type                                                           | Description                                                                                                           |
| ------------------ | -------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId          | String                                                         | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| price              | [PriceItem](/api-reference/traffic/datastructure.md#priceitem) | The price of bandwidth cluster.                                                                                       |
| internationalPrice | [PriceItem](/api-reference/traffic/datastructure.md#priceitem) | <p>Price information for the international line.</p><p>Only returned for PathBasedBandwidth bandwidth clusters.</p>   |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the price of the bandwidth cluster in Shanghai (SHA), with a bandwidth cluster of `100` Mbps, `BGP` network type and `Monthly Burstable 95th` billing method.**

```json
POST /api/v2/traffic HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryBandwidthClusterPrice
<Common Request Params>

Request：
{
  "areaCode" : "SHA",
  "chargeType" : "POSTPAID",
  "commitBandwidthMbps" : 100,
  "networkType" : "BGP",
  "internetChargeType" : "MonthlyPercent95Bandwidth"
}

Response：
{
  "requestId": "TBF3D5D7B-DE28-42DC-AB14-03B73D777643",
  "response": {
    "price": {
      "unitPrice": 1300.000000,
      "originalPrice": null,
      "discountPrice": null,
      "discount": 100,
      "excessUnitPrice": 1.3,
      "excessAmountUnit": "Mbps",
      "stepPrices": null,
      "discountUnitPrice": 1300.000000,
      "chargeUnit": "MONTH",
      "amountUnit": null,
      "excessDiscountUnitPrice": 1.3
    },
    "requestId": "TBF3D5D7B-DE28-42DC-AB14-03B73D777643"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
